openoffice 与scim冲突,把scim卸了,还是不能启动openoffice,这可怎么办?

系统字体配置、中文显示和输入法问题
回复
wgssjtu
帖子: 20
注册时间: 2006-06-10 14:07
送出感谢: 0
接收感谢: 0

openoffice 与scim冲突,把scim卸了,还是不能启动openoffice,这可怎么办?

#1

帖子 wgssjtu » 2006-06-17 21:40

如题
mimihu88
帖子: 551
注册时间: 2006-04-03 11:26
送出感谢: 0
接收感谢: 1 次

#2

帖子 mimihu88 » 2006-06-17 22:15

我一直用openoffice没发现与scim冲突
networker
帖子: 419
注册时间: 2006-02-06 21:06
来自: Shanghai,China
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 networker » 2006-06-18 9:44

没问题,就是启动慢了点。
aubrey
帖子: 33
注册时间: 2006-04-27 11:21
送出感谢: 0
接收感谢: 0

#4

帖子 aubrey » 2006-06-18 12:15

我碰到类似的问题,不过原因是有的word文档可以打开,有的呢,则使openoffice无法启动,还不知道root cause
aubrey
帖子: 33
注册时间: 2006-04-27 11:21
送出感谢: 0
接收感谢: 0

#5

帖子 aubrey » 2006-06-18 22:29

需要说明的是,如果你是ATI的显卡,并且你装了fglrx的驱动,也将导致ooffice无法启动,你可以修改xorg.conf文件,

Driver "fglrx"
题换成
Driver "ati"
可以解决问题

还有一种解决方法是,编辑/etc/gtk-2.0/gtk.immodules文件,注释掉如下两行:
"/usr/lib/gtk-2.0/2.4.0/immodules/im-scim.so"
"scim" "SCIM Input Method" "scim" "/usr/share/locale" ""

不过,看起来最终是因为SCIM和office冲突,根据下面的提示
http://wiki.ubuntu.org.cn/%E5%BF%AB%E9% ... apperDrake
安装scim-bridge也可以解决问题
gxcooo
帖子: 394
注册时间: 2005-09-29 17:58
送出感谢: 0
接收感谢: 0

#6

帖子 gxcooo » 2006-06-19 22:42

其实通过scim-bridge可以和oo共处
tt7646
帖子: 163
注册时间: 2006-03-26 17:16
来自: 广东中山
送出感谢: 0
接收感谢: 0

#7

帖子 tt7646 » 2006-06-19 23:30

aubrey 写了:需要说明的是,如果你是ATI的显卡,并且你装了fglrx的驱动,也将导致ooffice无法启动,你可以修改xorg.conf文件,

Driver "fglrx"
题换成
Driver "ati"
可以解决问题

还有一种解决方法是,编辑/etc/gtk-2.0/gtk.immodules文件,注释掉如下两行:
"/usr/lib/gtk-2.0/2.4.0/immodules/im-scim.so"
"scim" "SCIM Input Method" "scim" "/usr/share/locale" ""



viewtopic.php?t=16555


这里是解决fglrx的最后方法
从明天起,做一个幸福的人.
过着简单的生活.
很惬意,没有纷争.
家人很快乐.朋友都幸福.
爱我的人和我爱的人是同一个人.
头像
woainba15
帖子: 833
注册时间: 2006-11-11 17:14
来自: 浙江宁波
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 woainba15 » 2006-12-28 15:50

按以上方法做了,成是成功了,但是不知道是哪种方法成功的,发现了几个问题,下面的面板跑到了中间,不知道是什么原因!
头像
syhan
帖子: 272
注册时间: 2006-09-06 12:24
来自: Southeast University
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 syhan » 2006-12-28 19:03

aubrey 写了:需要说明的是,如果你是ATI的显卡,并且你装了fglrx的驱动,也将导致ooffice无法启动,你可以修改xorg.conf文件,

Driver "fglrx"
题换成
Driver "ati"
可以解决问题

还有一种解决方法是,编辑/etc/gtk-2.0/gtk.immodules文件,注释掉如下两行:
"/usr/lib/gtk-2.0/2.4.0/immodules/im-scim.so"
"scim" "SCIM Input Method" "scim" "/usr/share/locale" ""

不过,看起来最终是因为SCIM和office冲突,根据下面的提示
http://wiki.ubuntu.org.cn/%E5%BF%AB%E9% ... apperDrake
安装scim-bridge也可以解决问题
哎呀,为什么之前没有看到呢,不过现在我已经在用fcitx了,呵呵,我也是装了ati的驱动
awesome + stalonetrayer + urxvt + rox-filer + feh + SLiM
回复

回到 “字体美化和中文支持”